## gate.creole.gazetteer
Class charMap

    java.lang.Object
      |
      +--gate.creole.gazetteer.charMap

class charMap
extends Object

class implementing the map using binary serach by char as key to retrive the coresponding object.

Field Summary
`(package private) char[]` `itemsKeys`
`(package private) Object[]` `itemsObjs`

Constructor Summary
`(package private)` `charMap()`

Method Summary
`(package private) Object` `get(char key)` get the object from the map using the char key
`(package private) Object` `put(char key, Object value)` put the object into the char map using the chat as the key
`(package private) void` `resize(int index)` resize the containers by one leavaing empty elemant at position 'index'

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### itemsKeys

    char[] itemsKeys

### itemsObjs

    Object[] itemsObjs

Constructor Detail

### charMap

    charMap()

Method Detail

### resize

    void resize(int index)

  resize the containers by one leavaing empty elemant at position 'index'

### get

    Object get(char key)

  get the object from the map using the char key

### put

    Object put(char key,
               Object value)

  put the object into the char map using the chat as the key